Package com.google.android.exoplayer2.ext.mediasession

## Interface MediaSessionConnector.CommandReceiver

- All Known Subinterfaces:
    `MediaSessionConnector.CaptionCallback`, `MediaSessionConnector.PlaybackPreparer`, `MediaSessionConnector.QueueEditor`, `MediaSessionConnector.QueueNavigator`, `MediaSessionConnector.RatingCallback`
  All Known Implementing Classes:
    `TimelineQueueEditor`, `TimelineQueueNavigator`
  Enclosing class:
    MediaSessionConnector

      public static interface MediaSessionConnector.CommandReceiver

  Receiver of media commands sent by a media controller.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `onCommand​(Player player, ControlDispatcher controlDispatcher, String command, Bundle extras, ResultReceiver cb)` | See `MediaSessionCompat.Callback.onCommand(String, Bundle, ResultReceiver)`.

- - ### Method Detail

    - #### onCommand

          boolean onCommand​(Player player,
                            @Deprecated
                            ControlDispatcher controlDispatcher,
                            String command,
                            @Nullable
                            Bundle extras,
                            @Nullable
                            ResultReceiver cb)

      See `MediaSessionCompat.Callback.onCommand(String, Bundle, ResultReceiver)`. The receiver may handle the command, but is not required to do so.
      Parameters:
        `player` - The player connected to the media session.
        `controlDispatcher` - This parameter is deprecated. Use `player` instead. Operations can be customized by passing a `ForwardingPlayer` to `MediaSessionConnector.setPlayer(Player)`, or when configuring the player (for example by using `SimpleExoPlayer.Builder#setSeekBackIncrementMs(long)`).
        `command` - The command name.
        `extras` - Optional parameters for the command, may be null.
        `cb` - A result receiver to which a result may be sent by the command, may be null.
      Returns:
        Whether the receiver handled the command.